Create Tracking Domain
Add a custom tracking subdomain used for click and open tracking in emails.
POST
/tracking-domainsRequires a full_access API key.
Body Parameters
namestringrequiredThe tracking subdomain to add (e.g. track.example.com).
Response Fields
objectstringAlways "tracking_domain".
idstringThe tracking domain ID.
namestringThe tracking domain name.
statusstringThe verification status (pending, verified, or failed).
created_atstringISO 8601 timestamp.
curl -X POST 'https://api.postflare.app/tracking-domains' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "track.example.com"
}'Response
{
"object": "tracking_domain",
"id": "a1b2c3d4-1234-5678-abcd-000000000001",
"name": "track.example.com",
"status": "pending",
"created_at": "2026-01-01T00:00:00.000Z"
}